| Home | Libraries | People | FAQ | More

###### field::as_int64 (1 of 2 overloads)

Retrieves a reference to the underlying `std::int64_t` value or throws an exception.

###### Synopsis

    const std::int64_t&
    as_int64() const;

###### Exception safety

Strong guarantee. Throws on type mismatch.

###### Exceptions

Type | Thrown On
--- | ---
`bad_field_access` | If `!this->is_int64()`

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.